<ng-template [ngIf]="!isInDetailMode">
  <h1>{{labelTranslateEnum.files | translate}}</h1>

  <solidify-data-table (queryParametersChange)="onQueryParametersEvent($event)"
                       (selectChange)="showDetail($event)"
                       [actions]="actions"
                       [columns]="columns"
                       [data]="listDataFileObs | async"
                       [isLoading]="isLoadingDataFileObs | async"
                       [displaySpinnerWhenLoading]="true"
                       [queryParameters]="queryParametersObs | async"
                       [displayActionShowHistory]="true"
                       [displayActionCopyIdToClipboard]="true"
                       [skipInitialQuery]="true"
                       (showHistoryChange)="showHistory($event)"
  >
  </solidify-data-table>
</ng-template>

<router-outlet></router-outlet>
